import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.job.EbayFinanceSyncJob;
import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.executor.ShardingContexts;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;
import java.util.HashMap;

public class EbayFinanceSyncJobTest {

    @Test
    public void test3() {
        EbayFinanceSyncJob skuSyncJob = new EbayFinanceSyncJob();
        ShardingContext job = new ShardingContext(new ShardingContexts("1", "job", 3, "", new HashMap<>()), 1);
        skuSyncJob.executeJob(job, new JobPointLog("",1 ,100,1,1, LocalDateTime.now().minusMonths(1),LocalDateTime.now().minusDays(29)));

    }

}
